
VIRTUAL CREDIT CARD - Bug #15261

Android [TREATS] [Treats Points] It shows wrong quantity for the products when click back button

from Cart screen

18 December 2022 04:07 PM - hsulynn pang

Status: Closed Start date: 18 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: uattreats001

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) click Points tab

(7) at the Points tab, click Tambah button add product test tada evoucher

(8) add another product and testing traveloka by clicking Tambah button

(9) click Add to Cart button

(10) click Redeem button to Confirmation screen

(11) then click back to Cart screen and edit the quantity to 2

(12) click back to product list screen (the one with Add to Cart button at bottom)

Actual result: It shows It shows wrong quantity for the products when click back button from Cart screen (it shows test tada voucher

2, test tada evoucher 1 and testing traveloka 1)

Expected result: It shows correctly (test tada evoucher 2 and testing traveloka 2)

History

#1 - 19 December 2022 01:14 PM - Septi Gizka Tiara

commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/d841577a1e8a5931c7f5474fe2aa4f59da55c

c7d?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#2 - 19 December 2022 01:14 PM - Septi Gizka Tiara

- Status changed from New to Resolved

#3 - 19 December 2022 07:21 PM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#4 - 19 December 2022 10:39 PM - hsulynn pang

- File retest (1).mp4 added

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp Video 2022-12-18 at 16.00.52.mp4 3.51 MB 18 December 2022 hsulynn pang

retest (1).mp4 2.4 MB 19 December 2022 hsulynn pang
